# get all git repos needed

include ./../../root.mk

LIB_REPO=				github.com/StreamSpace
LIB_REPO_FSPATH=		$(GOPATH)/src/$(LIB_REPO)

this-print:
	@echo LIB_REPO: 			$(LIB_REPO)
	@echo LIB_REPO_FSPATH: 		$(LIB_REPO_FSPATH)

this-git-clone:
	$(MAKE) git-clone-args LIB=$(LIB_REPO)/ss-ipfs-lite LIB_FSPATH=$(LIB_REPO_FSPATH)/ss-ipfs-lite
	$(MAKE) git-clone-args LIB=$(LIB_REPO)/ants-db LIB_FSPATH=$(LIB_REPO_FSPATH)/ants-db
	$(MAKE) git-clone-args LIB=$(LIB_REPO)/ss-store LIB_FSPATH=$(LIB_REPO_FSPATH)/ss-store
	$(MAKE) git-clone-args LIB=$(LIB_REPO)/ss-ds-store LIB_FSPATH=$(LIB_REPO_FSPATH)/ss-ds-store
	$(MAKE) git-clone-args LIB=$(LIB_REPO)/desktop-docs LIB_FSPATH=$(LIB_REPO_FSPATH)/desktop-docs
	
this-git-delete:
	rm -rf $(LIB_REPO_FSPATH)

this-vscode-open:
	code $(LIB_REPO_FSPATH)



LIB_FSPATH=$(LIB_REPO_FSPATH)/ants-db

## Build
this-test:
	# run test harness
	cd $(LIB_FSPATH) && go test -v




